#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif



static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x7e3277f8, "___drm_dbg" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0xb16a6eb1, "drm_dev_alloc" },
	{ 0xca34e6c8, "drm_dev_register" },
	{ 0xd5f72e06, "drm_dev_put" },
	{ 0x4a35d30d, "drm_mode_set_name" },
	{ 0xf1b5340a, "drm_mode_vrefresh" },
	{ 0x754d539c, "strlen" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xa916b694, "strnlen" },
	{ 0xdb613928, "drm_universal_plane_init" },
	{ 0xe9d7bf32, "drm_atomic_helper_update_plane" },
	{ 0x47c08e07, "drm_atomic_helper_disable_plane" },
	{ 0x32cd4a65, "drm_atomic_helper_plane_reset" },
	{ 0x899d7d6d, "__drm_atomic_helper_plane_duplicate_state" },
	{ 0xf5d1f520, "__drm_atomic_helper_plane_destroy_state" },
	{ 0x50802433, "drm_object_attach_property" },
	{ 0xaab64969, "drm_plane_create_alpha_property" },
	{ 0x96e952cb, "drm_plane_create_blend_mode_property" },
	{ 0xcaacc72f, "drm_plane_create_rotation_property" },
	{ 0x784839dd, "drm_crtc_init_with_planes" },
	{ 0xb620924e, "drm_atomic_helper_crtc_reset" },
	{ 0x5dee2f07, "drm_atomic_helper_set_config" },
	{ 0x361b543d, "drm_atomic_helper_page_flip" },
	{ 0x236ba358, "drm_crtc_cleanup" },
	{ 0xaca105cf, "__drm_atomic_helper_crtc_duplicate_state" },
	{ 0x2c58d34b, "__drm_atomic_helper_crtc_destroy_state" },
	{ 0x4345c93a, "drm_plane_cleanup" },
	{ 0xf2cecdc6, "drm_mode_object_find" },
	{ 0x8dca8ea, "drm_encoder_cleanup" },
	{ 0x5c51ba88, "drm_kms_helper_hotplug_event" },
	{ 0x9da0a4c6, "drm_encoder_init" },
	{ 0xe1964ffe, "drm_connector_attach_encoder" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x8bc3210a, "drm_connector_init" },
	{ 0x7bb78269, "drm_connector_register" },
	{ 0x606f03b5, "drm_connector_cleanup" },
	{ 0x2767fbdd, "drm_atomic_helper_connector_reset" },
	{ 0xe5351095, "drm_helper_probe_single_connector_modes" },
	{ 0x6a76e472, "drm_atomic_helper_connector_duplicate_state" },
	{ 0xb31969ae, "drm_atomic_helper_connector_destroy_state" },
	{ 0x364c23ad, "mutex_is_locked" },
	{ 0x3eb32f15, "drm_object_property_set_value" },
	{ 0x37e201a7, "drm_edid_override_connector_update" },
	{ 0x7ccba7d8, "drm_connector_unregister" },
	{ 0xfa67197e, "drm_mode_create" },
	{ 0x769f32c4, "drm_mode_probed_add" },
	{ 0x9516c495, "drm_connector_update_edid_property" },
	{ 0x19a00def, "drm_gem_object_release" },
	{ 0x846d1d5e, "drm_gem_private_object_init" },
	{ 0x4d3b42d3, "drm_gem_prime_import" },
	{ 0xf9de855a, "drm_gem_vm_open" },
	{ 0x4df8da35, "drm_gem_vm_close" },
	{ 0x82e7fd4c, "dma_resv_init" },
	{ 0x6830f04a, "drm_gem_prime_export" },
	{ 0x1ff360af, "drm_gem_object_lookup" },
	{ 0xd680a377, "drm_gem_object_free" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xfe8c61f0, "_raw_read_lock" },
	{ 0xc7910e38, "drm_vma_offset_lookup_locked" },
	{ 0xdd4d55b6, "_raw_read_unlock" },
	{ 0x24cf437a, "drm_vma_node_is_allowed" },
	{ 0x1a83bcfc, "drm_helper_mode_fill_fb_struct" },
	{ 0x55eb38da, "drm_format_info" },
	{ 0xd316a3ab, "drm_framebuffer_init" },
	{ 0xb77e5c15, "drm_framebuffer_cleanup" },
	{ 0xbc4d4bcc, "drm_gem_handle_create" },
	{ 0x809c747a, "drm_atomic_state_init" },
	{ 0xa0d3930e, "drm_atomic_state_default_clear" },
	{ 0xba84632c, "drm_atomic_state_default_release" },
	{ 0xbb946bf5, "drm_atomic_helper_check" },
	{ 0x79c5c4ff, "drm_atomic_helper_swap_state" },
	{ 0x835cb243, "drm_crtc_send_vblank_event" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0x92540fbf, "finish_wait" },
	{ 0xf20b1872, "_copy_to_user" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0xe2964344, "__wake_up" },
	{ 0xaacf03c1, "dma_fence_signal" },
	{ 0xe123f3d9, "dma_fence_release" },
	{ 0x14605535, "dma_fence_context_alloc" },
	{ 0xdeb99119, "dma_fence_init" },
	{ 0x197d5b60, "dma_fence_default_wait" },
	{ 0x75b7e56a, "ww_mutex_lock" },
	{ 0x158c1efa, "dma_resv_reserve_fences" },
	{ 0xd4a6c424, "dma_resv_add_fence" },
	{ 0xc61902f7, "ww_mutex_unlock" },
	{ 0x37a0cba, "kfree" },
	{ 0x587b0954, "kvasprintf" },
	{ 0xeca4c0f2, "get_user_pages" },
	{ 0x3bc4637b, "set_page_dirty_lock" },
	{ 0xdba8398f, "vmap" },
	{ 0x94961283, "vunmap" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x668b19a1, "down_read" },
	{ 0x53b954a2, "up_read" },
	{ 0xaa047884, "__folio_put" },
	{ 0xd91d9067, "param_ops_bool" },
	{ 0x8a35b432, "sme_me_mask" },
	{ 0xd38cd261, "__default_kernel_pte_mask" },
	{ 0xad06015f, "pcpu_hot" },
	{ 0xbcb36fe4, "hugetlb_optimize_vmemmap_key" },
	{ 0x58e47ca2, "drm_atomic_state_alloc" },
	{ 0x6cd04c30, "drm_atomic_get_crtc_state" },
	{ 0x98c5ca27, "drm_atomic_set_mode_prop_for_crtc" },
	{ 0xf89ab3a1, "drm_atomic_add_affected_planes" },
	{ 0xe69c9c88, "drm_atomic_add_affected_connectors" },
	{ 0x97ac0524, "drm_atomic_set_crtc_for_connector" },
	{ 0xb2aee751, "drm_atomic_set_crtc_for_plane" },
	{ 0x38fa0c66, "drm_atomic_set_fb_for_plane" },
	{ 0xb6a949a1, "drm_atomic_commit" },
	{ 0x991b6056, "drm_mode_object_put" },
	{ 0xb9cad492, "__drm_atomic_state_free" },
	{ 0xedc03953, "iounmap" },
	{ 0x8b7dee6d, "drm_prime_pages_to_sg" },
	{ 0x63683e9d, "drm_gem_mmap_obj" },
	{ 0xfaea1de7, "vmf_insert_pfn" },
	{ 0x9383677c, "drm_gem_create_mmap_offset" },
	{ 0xfd93ee35, "ioremap_wc" },
	{ 0x57bc19d2, "down_write" },
	{ 0xce807a25, "up_write" },
	{ 0xe97fea3d, "vm_insert_page" },
	{ 0x56470118, "__warn_printk" },
	{ 0x5f427600, "drm_prime_gem_destroy" },
	{ 0x2b4d032e, "fput" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x284faa6b, "__x86_indirect_thunk_r11" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xfb578fc5, "memset" },
	{ 0xb0e602eb, "memmove" },
	{ 0x69acdf38, "memcpy" },
	{ 0x9f46ced8, "__sw_hweight64" },
	{ 0x8985dc1e, "nvKmsKapiGetFunctionsTable" },
	{ 0xb11ac7a7, "__drm_err" },
	{ 0x92997ed8, "_printk" },
	{ 0xf94a96da, "drm_dev_unregister" },
	{ 0x514098ab, "drm_gem_prime_handle_to_fd" },
	{ 0xa15112b8, "drm_gem_prime_fd_to_handle" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x54ff9567, "drm_vblank_init" },
	{ 0xdc61825, "drm_helper_hpd_irq_event" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x6faac5cf, "drm_mode_create_dvi_i_properties" },
	{ 0xf120508, "drm_kms_helper_poll_init" },
	{ 0x7c04dc3d, "drm_kms_helper_poll_disable" },
	{ 0x57e1db78, "drmm_mode_config_init" },
	{ 0xbb33f039, "drm_connector_list_iter_next" },
	{ 0xf3ac200d, "drm_connector_list_iter_begin" },
	{ 0xd722b8ae, "drm_connector_list_iter_end" },
	{ 0x13287536, "drm_kms_helper_poll_fini" },
	{ 0xf473a7c9, "drm_mode_config_cleanup" },
	{ 0x3d333888, "noop_llseek" },
	{ 0x56a9691d, "drm_read" },
	{ 0x96814bb8, "drm_poll" },
	{ 0xa1aeac14, "drm_ioctl" },
	{ 0x107a03f, "drm_compat_ioctl" },
	{ 0x150ee93e, "drm_open" },
	{ 0xc5dd2c50, "drm_release" },
	{ 0x5b26d6e6, "drm_modeset_lock_all" },
	{ 0xfaf9511b, "drm_modeset_unlock_all" },
	{ 0x8235eb75, "module_layout" },
};

MODULE_INFO(depends, "drm,drm_kms_helper,nvidia-modeset");

MODULE_ALIAS("pci:v000010DEd*sv*sd*bc03sc00i00*");
MODULE_ALIAS("pci:v000010DEd*sv*sd*bc03sc02i00*");

MODULE_INFO(srcversion, "020F0166B67AE7283C6E8D4");
